MANCONV(1)

NOME
manconv - converte página de manual de uma codificação para outra

SINOPSE
manconv -f [da-codificação[:da-codificação...]] -t para-codificação [-dqhV] [nome-de-arquivo]

DESCRIÇÃO
manconv converte uma página de manual de uma codificação para outra, como iconv. Ao contrário de iconv, ele pode tentar várias codificações de entradas possíveis em sequência. Isso é útil para páginas de manual instaladas em diretórios sem declaração explícita de codificação, já que elas podem estar UTF-8 ou em um conjunto de caracteres legado.

Se uma declaração de codificação for localizada na primeira linha da página de manual, aquela declaração sobrescreve quaisquer codificações de entrada especificadas na linha de comando do manconv. Declarações de codificação podem ter a seguinte forma:

    '\" -*- coding: UTF-8 -*-

ou (se pré-processadores de página de manual também estiverem declarados):

    '\" t -*- coding: ISO-8859-1 -*-

OPÇÕES

-f codificações, --from-code codificações
    Tenta cada uma das codificações (uma lista separada por caractere de dois pontos) em sequência como a codificação de entrada. O padrão é adivinhar prováveis codificações de entrada com base no nome de arquivo.

-t codificação, --to-code codificação
    Converte a página de manual para codificação.

-q, --quiet
    Não emite mensagens quando a página não puder ser convertida.

-d, --debug
    Emite mensagens de depuração.

-h, --help
    Imprime uma mensagem de ajuda e sai.

-V, --version
    Exibe informação da versão.

VEJA TAMBÉM
iconv(1), man(1), man-recode(1)

AUTOR
Colin Watson (cjwatson@debian.org).